In a recent Twitter post, jailbreak mastermind @comex confirmed that JailbreakMe 3.0 will be compatible with the iPad 2, running iOS 4.2.1-4.3.3.

Recently, the famous hacker posted a teaser image to his Twitter account, which suggested that JailbreakMe – the online, Web based jailbreak tool – was going to be resurrected. However, we were not sure exactly what device or iOS version would be supported by JailbreakMe, when it did launch.

While JailbreakMe 3.0 isn’t yet live, a compatibility hint has reached us via Covering Web. Several days ago, @comex answered one fan’s question regarding JailbreakMe’s support for the iPad 2. The question was:

@comex can u maybe alert everyone as to which iOS version this upcoming release will work on?? (ipad 2 btw) currently mines on 4.3.1…. :)

To which @comex replied:

@J_mac890 4.2.1-4.3.3

Obviously, this confirms a few things: First, JailbreakMe will be compatible with the iPad 2. Furthermore, the jailbreak tool will be compatible with iOS 4.2.1 to iOS 4.3.3.

Does this mean JailbreakMe will not support iOS 5, once it’s released? Obviously, we can’t be sure. If @comex has been able to provide a solution for the iPad 2, we would expect a solution to become available for iOS 5, too. It could be that @comex is saving iOS 5 support for the operating system’s final release (a wise move). However, it could also be that JailbreakMe is incompatible with Apple’s fifth major release of the iOS.

Until JailbreakMe goes live, we’ll have to hold our breath and wait. In the meantime, let us know if you’re planning on jailbreaking your iPad 2 in the comments.